Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-font-ttf: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 3 Nov 2015 14:35:14 +0200

---
 testing/perl-font-ttf/APKBUILD | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-font-ttf/APKBUILD
diff --git a/testing/perl-font-ttf/APKBUILD b/testing/perl-font-ttf/APKBUILD
new file mode 100644
index 0000000..0d62e52
--- /dev/null
+++ b/testing/perl-font-ttf/APKBUILD
_at_@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-font-ttf
+_pkgreal=Font-TTF
+pkgver=1.05
+pkgrel=0
+pkgdesc="TTF font support for Perl"
+url="http://search.cpan.org/dist/Font-TTF/"
+arch="noarch"
+license="Artistic-2"
+cpandepends="perl-io-string"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MH/MHOSKEN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name *.txt -o -name *.pod -o -name .packlist -o ttfmod.pl \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="a9d0acf4cb9ebaee875d71732b83dfe5  Font-TTF-1.05.tar.gz"
+sha256sums="26c48e4e76e00f0ac00766b3cfba79f0cb8cbf005b7a39033f0e8e0d9eeafb50  Font-TTF-1.05.tar.gz"
+sha512sums="7288a2de63fc92c36f3706f365b2ea886e37361b13400a14f940961b0263f6492b02f73048c653bdcd5c5d1bb714977f3c5326b7217dcf3683b16d5048cd1e63  Font-TTF-1.05.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Nov 03 2015 - 14:35:14 GMT